Subject: Re: ip_append_page and the socket send buffer

From: Elad Lahav <[email-masked]>
Date: Fri, 16 Feb 2007 17:00:52 -0500

James Morris wrote:
> On Fri, 16 Feb 2007, Elad Lahav wrote:
> 
>> I wrote a function that is equivalent to udp_sendmsg, but uses ip_append_page
>> to attach data to an skb. The function is implemented as follows:
> 
> Why?

This scheme allows you to send the same data to multiple recipients. The 
user's data is copied only once into a set of pages, which are then 
shared among multiple skbuff objects.

> Where is the code?
The code is probably too long to be attached to a mailing list message. 
It pretty much follows the steps I specified in my original e-mail. I 
can provide more details, if required.

Elad